Subject: [Gen-art] review of draft-westerlund-mmusic-3gpp-sdp-rtsp-07

From: Wassim Haddad <[email-masked]>
Date: Mon, 1 Mar 2010 20:54:47 -0700

I have been selected as the General Area Review Team (Gen-ART)
For background on Gen-ART, please see the FAQ at <http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html>.
Please wait for direction from your document shepherd or AD before posting a new version of the draft.

Please resolve these comments along with any other last call comments you may receive.

Document: draft-westerlund-mmusic-3gpp-sdp-rtsp-07
Reviewer: Wassim Haddad
Review Date: 2010-03-01

Summary: Ready

Major issues: None

Minor issues: 

- Definitions:

- RTSP: "Real" Time Streaming Protocol
- QoE: In PSS, (add comma)

2. Introduction:

s/later/subsequent

"there has occasionally been _a_ need to extend…"
s/functionality/functionalities

IMHO, the following is not clear. I suggest re-writing:

"The document begins with two chapters presenting the different
extensions of SDP for PSS and MBMS, respectively, followed by a
section noting that offer/answer considerations are not applicable here".

3. "or" addressed => "nor" addressed

s/change/changing

4. IMHO, the following is ambiguous. I suggest re-writing:

"They are informatively listed below grouped by purpose"

4.3: 

- s/they/the
- s/keymanagement/key management

4.5:

- s/of [PSS…] /in [PSS…]

5.3. 
For release 6, one such parameter is defined to specify the required…

5.4. 

- s/and/or
- As required by SDP [RFC4566], (add comma)

5.4.1

- For FEC-protected RTP streams, (add comma)

7.4.

- s/happen/happens

7.5.

- … been given "x-" name, (add comma)
- it was too late "to" rename them due to deployment.

7.7.

- It is only a syntax restriction server "that" manufacturers follow…

9. 

- Also in this case, (add comma)

- IMHO, the last paragraph should clarify what authors mean by: 

"The media stream and the protocols identified by the protocol identifier may however contain security issues by themselves".

Regards,

Wassim H.